import request from '/@/utils/request';

/**
 * @summary description 列出索引
 */
export const get_docvector_list = async () => {
	return request({
		url: '/admin/docvector/get_docvector_list',
		method: 'POST',
	});
};
/**
 * @summary description 创建索引
 */
export const add_docvector_name = async (params) => {
	return request({
		url: '/admin/docvector/add_docvector_name',
		method: 'POST',
		data: params,
	});
};
/**
 * @summary description 更新索引
 */
export const update_docvector_name = async (params) => {
	return request({
		url: '/admin/docvector/update_docvector_name',
		method: 'POST',
		data: params,
	});
};
/**
 * @summary description 删除索引
 */
export const delete_docvector_name = async (params) => {
	return request({
		url: '/admin/docvector/delete_docvector_name',
		method: 'POST',
		data: params,
	});
};
/**
 * @summary description 获取文件列表
 */
export const get_docvector_file_list = async (params) => {
	return request({
		url: '/admin/docvector/get_docvector_file_list',
		method: 'POST',
		data: params,
	});
};
/**
 * @summary description 添加文件列表
 */
export const add_docvector_file = async (params) => {
	return request({
		url: '/admin/docvector/add_docvector_file',
		method: 'POST',
		data: params,
	});
};
